Index: /trunk/SRC/Obsolete/nlec.pro
===================================================================
--- /trunk/SRC/Obsolete/nlec.pro	(revision 225)
+++ /trunk/SRC/Obsolete/nlec.pro	(revision 226)
@@ -221,5 +221,5 @@
    endif
 ;------------------------------------------------------------
-; points a metre a nan
+; points a mettre a nan
 ;------------------------------------------------------------
    if n_elements(nan) NE 0 then BEGIN
Index: /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickread/ncdf_quickread_helper.pro
===================================================================
--- /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickread/ncdf_quickread_helper.pro	(revision 225)
+++ /trunk/SRC/ReadWrite/idl-NetCDF/ncdf_quickread/ncdf_quickread_helper.pro	(revision 226)
@@ -1,6 +1,6 @@
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;
-; ncdf_quickread_helper.pro - This file contains IDL functions to read netCDF 
-;                             data files into IDL variables. 
+; ncdf_quickread_helper.pro - This file contains IDL functions to read netCDF
+;                             data files into IDL variables.
 ;
 ; Adapted from CDF2IDL.pro
@@ -8,5 +8,5 @@
 ;  This file contains the following functions and procedures:
 ;     functions:
-;        ncdf_quickread_getfile - strips the directory and optionally) any 
+;        ncdf_quickread_getfile - strips the directory and optionally) any
 ;                                 suffixes from the path+file
 ;        ncdf_quickread_getdir - returns the directory from the full path+file
@@ -25,5 +25,5 @@
 ;  10 Jun 97  S. Rupert     Modified keyword usage.
 ;  03 Feb 98  S. Rupert     Added additional error checking, and warning to
-;                           output script. 
+;                           output script.
 ;  17 Feb 98  S. Rupert     Corrected validation routine to handle instance
 ;                           of name strating with a number and containing a
@@ -58,5 +58,5 @@
 ; @examples
 ; Call: file = ncdf_quickread_getfile(fullpath)
-; 
+;
 ; @history
 ;
@@ -68,5 +68,5 @@
 on_error,2
 compile_opt hidden
-; Retrieve the postion at which the first '/' character occurs from
+; Retrieve the position at which the first '/' character occurs from
 ; the end of the string.
 dirlen = rstrpos(fullpath, '/')
@@ -111,5 +111,5 @@
 ; @examples
 ; Call: dir = ncdf_quickread_getdir(fullpath)
-; 
+;
 ; @history
 ;
@@ -122,5 +122,5 @@
 on_error,2
 compile_opt hidden
-; Retrieve the postion at which the first '/' character occurs from
+; Retrieve the position at which the first '/' character occurs from
 ; the end of the string.
 len = rstrpos(fullpath, '/')
@@ -139,8 +139,8 @@
 ; @file_comments
 ; This routine ensures that the given name does not start with a number,
-; nor contain a dash.  IDL cannot accept a variable starting with a 
-; number or containing a dash.  If the name starts with a number, an 
-; underscore is prepended to the name, and if it contains a dash, the 
-; dash is replaced with an underscore.  
+; nor contain a dash.  IDL cannot accept a variable starting with a
+; number or containing a dash.  If the name starts with a number, an
+; underscore is prepended to the name, and if it contains a dash, the
+; dash is replaced with an underscore.
 ;
 ; @categories
@@ -149,5 +149,5 @@
 ; @param VARNAME
 ; The name of the variable to be read
-; 
+;
 ;
 ; @returns
@@ -158,6 +158,6 @@
 ;
 ; @examples
-; 
-; 
+;
+;
 ; @history
 ;
@@ -186,5 +186,5 @@
 if (strpos(varname, '9') EQ 0) then name = strcompress("_"+varname)
 
-; If the name contains a dash replace it with an underscore. 
+; If the name contains a dash replace it with an underscore.
 if (strpos(name, '-') NE -1) then begin
    pieces = str_sep(name, '-')
@@ -214,5 +214,5 @@
 ; full path to netCDF file of interest
 ;
-; @keyword VERBOSE  
+; @keyword VERBOSE
 ; Set this keyword to return an error message in case of an error.
 ;
@@ -224,5 +224,5 @@
 ;
 ; @keyword REFORM
-; see changelog above. 
+; see changelog above
 ;
 ; @returns
@@ -233,6 +233,6 @@
 ;
 ; @examples
-; 
-; 
+;
+;
 ; @history
 ;
@@ -274,5 +274,5 @@
 
 ; Place the desired variables in local arrays.
-for i=0, ncidinfo.Nvars-1 do begin 
+for i=0, ncidinfo.Nvars-1 do begin
    vardata = NCDF_VARINQ(ncid, i)
    if not subset then begin
@@ -283,5 +283,5 @@
    endelse
    if wanted then begin
-       varname = ncdf_quickread_validatename(vardata.Name) 
+       varname = ncdf_quickread_validatename(vardata.Name)
        if keyword_set(prefix) then varname=prefix+varname
        commands=$
@@ -304,5 +304,5 @@
 endfor
 
-if (keyword_set(verbose)) then begin 
+if (keyword_set(verbose)) then begin
   for i=0, ncidinfo.Ngatts-1 do begin
      name = NCDF_ATTNAME(ncid, /GLOBAL, i)
Index: /trunk/SRC/ReadWrite/readoldoparestart.pro
===================================================================
--- /trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 225)
+++ /trunk/SRC/ReadWrite/readoldoparestart.pro	(revision 226)
@@ -11,15 +11,16 @@
 ;
 ; @param PARAMS
-; 
-; 
+;
 ; @param NUM
-; 
-;
-; @restrictions 
+;
+; @restrictions
 ; bug for etab and etan written on the same record???
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2002
-; @version $Id$
+;
+; @version
+; $Id$
 ;-
 ;------------------------------------------------------------
@@ -44,10 +45,9 @@
 ;
 ; @param PARAMS
-; 
-; 
+;
 ; @param NUM
-; 
-;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+;
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2002
 ;-
@@ -66,5 +66,5 @@
 ; based on the OPA subroutine dtrlec included at the end of the file.
 ;
-; @categories 
+; @categories
 ; For OPA
 ;
@@ -73,91 +73,72 @@
 ;
 ; @param JPIGLO {in}{required}
-; 
-; 
+;
 ; @param JPJGLO {in}{required}
-; 
-; 
+;
 ; @param JPK {in}{required}
 ; dimensions of the opa grid
 ;
-; @keyword IBLOC {default=4096L} 
+; @keyword IBLOC {default=4096L}
 ; Ibloc size
-; 
+;
 ; @keyword JPBYT {default=8L}
 ; Jpbyt size
-; 
-; @keyword NUMREC {default=19L*jpk} 
+;
+; @keyword NUMREC {default=19L*jpk}
 ; Number of records in the file
-; 
+;
 ; @keyword UB
-; 
-; 
+;
+;
 ; @keyword VB
-; 
-; 
+;
+;
 ; @keyword TB
-; 
-; 
+;
 ; @keyword SB
-; 
-; 
+;
 ; @keyword ROTB
-; 
-; 
+;
 ; @keyword HDIVB
-; 
-; 
+;
 ; @keyword UN
-; 
-; 
+;
 ; @keyword VN
-; 
-; 
+;
 ; @keyword TN
-; 
-; 
+;
 ; @keyword SN
-; 
-; 
+;
 ; @keyword ROTN
-; 
-; 
+;
 ; @keyword HDIVN
-; 
-; 
+;
 ; @keyword GCX
-; 
-; 
+;
 ; @keyword GCXB
-; 
-; 
+;
 ; @keyword ETAB
-; 
-; 
+;
 ; @keyword ETAN
-; 
-; 
+;
 ; @keyword BSFB
-; 
-; 
+;
 ; @keyword BSFN
-; 
-; 
+;
 ; @keyword BSFD
-; 
-; 
+;
 ; @keyword EN
 ; the variable we want to read.
 ;
-; @returns 
+; @returns
 ; According to the given keywords.
-; 
-; @restrictions 
+;
+; @restrictions
 ; Bug for etab and etan written on the same record???
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2002
-; 
+;
 ; @version
 ; $Id$
@@ -458,5 +439,5 @@
 ;          IF(lwp) THEN
 ;              WRITE(numout,*) ' ===>>>> : the previous restart file',
-;     $            ' didnt used  tke scheme'
+;     $            ' did''nt used  tke scheme'
 ;              WRITE(numout,*) ' =======                ======='
 ;          ENDIF
Index: /trunk/SRC/Textoidl/translate_sub_super.pro
===================================================================
--- /trunk/SRC/Textoidl/translate_sub_super.pro	(revision 225)
+++ /trunk/SRC/Textoidl/translate_sub_super.pro	(revision 226)
@@ -2,5 +2,5 @@
 ; @file_comments
 ; Return the proper IDL font positioning command for TeX
-; sub/superscripts. 
+; sub/superscripts.
 ;
 ; @categories
@@ -25,5 +25,5 @@
 ; function.  So even if sub_sup_idl was declared with
 ; FORWARD_FUNCTION in translate_sub_super, it would not properly
-; compile. 
+; compile.
 ;
 ; The file translate_sub_super.pro contains two functions,
@@ -36,5 +36,5 @@
 ; Used only by translate_sub_super.  Should be kept in same
 ; file.
-; 
+;
 ; @examples
 ;
@@ -86,16 +86,16 @@
         print, offset+offset+"             or '!D' or '!I' for subscripts."
         return, -1
-    ENDIF 
-
-    IF keyword_set(force_ud) THEN BEGIN 
-        IF (token EQ '^') THEN return, '!U' 
+    ENDIF
+
+    IF keyword_set(force_ud) THEN BEGIN
+        IF (token EQ '^') THEN return, '!U'
         IF (token EQ '_') THEN return, '!D'
         return, ''
     ENDIF ELSE BEGIN
-        IF (token EQ '^') THEN return, '!E' 
+        IF (token EQ '^') THEN return, '!E'
         IF (token EQ '_') THEN return, '!I'
         return, ''
     ENDELSE
-    
+
 END
 
@@ -113,6 +113,6 @@
 ;       old       -- string to be translated from TeX to IDL.   in
 ; KEYWORD PARAMETERS:
-;       /RECURSED -- set if this function is being called 
-;                    recursively.                  
+;       /RECURSED -- set if this function is being called
+;                    recursively.
 ;       /HELP     -- Set to print useful message and exit.
 ; OUTPUTS:
@@ -130,5 +130,5 @@
 ;       out = translate_sub_super( 'N^2_{big}' )
 ;       Then out='N!U2!N!Dbig!N' which looks like it should on the
-;       display. 
+;       display.
 ; LIBRARY FUNCTIONS CALLED:
 ;       str_token      -- Text/string (mcraig)
@@ -195,5 +195,5 @@
         print, offset+offset+"- Sub/superscripts may be nested (e.g. 'N^{N_1^N}')."
         return, -1
-    ENDIF 
+    ENDIF
 
 ;  To allow for nested scripts, use !E/!I instead of !U/!D for scripts
@@ -233,9 +233,9 @@
         EndOfScript = 0         ;Position of end of this script.
         IF (Script EQ '{') THEN BEGIN   ; Scripts of more than 1 char.
-            EndOfScript = matchdelim(strn)      
+            EndOfScript = matchdelim(strn)
             Script = translate_sub_super(strmid(strn, 1, EndOfScript-1), $
                                          /recursed )
-        ENDIF 
-;     Grab rest of string _after_ the end of the script.        
+        ENDIF
+;     Grab rest of string _after_ the end of the script.
         strn = strmid(strn, EndOfScript+1, $
                       strlen(strn)-EndOfScript-1)
@@ -265,5 +265,5 @@
             StorePos = ''
             RecallPos = ''
-;     calculate the difference in length between this script and the 
+;     calculate the difference in length between this script and the
 ;     previous stacked one, removing font change commands (crudely by
 ;     guessing that the number of characters this takes is twice the
@@ -276,5 +276,5 @@
         ENDIF ELSE BEGIN
             IF (Token NE OldToken) AND (pos EQ 0) THEN BEGIN
-;             The next script immediately folows this one.  Arrange to
+;             The next script immediately follows this one.  Arrange to
 ;             save the position of the current script so that both begin
 ;             with the same horizontal position.
@@ -283,5 +283,5 @@
                 LenLastScript = strlen(Script) - 2*strcnt(Script,'!')
             ENDIF
-        ENDELSE  
+        ENDELSE
 
 ;  Continue building the IDL string, adding on our just processed script.
@@ -289,13 +289,13 @@
           + FontRestore
 
-        IF ( pos NE -1 ) THEN BEGIN     ; more left to process     
+        IF ( pos NE -1 ) THEN BEGIN     ; more left to process
             NewString = NewString $
-              + str_token(strn, Token)   
+              + str_token(strn, Token)
         ENDIF ELSE BEGIN                ; we are done
             NewString = NewString + strn
             strn = ''
         ENDELSE
-    ENDWHILE 
-    
+    ENDWHILE
+
     return, NewString
 END
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2floatlevel.pro	(revision 226)
@@ -4,9 +4,9 @@
 ;+
 ; @file_comments
-; Rather comparable to depth2level but here, the calculated level is in float. 
-; For example, the level 5.4 correspond to a depth equal 
+; Rather comparable to depth2level but here, the calculated level is in float.
+; For example, the level 5.4 correspond to a depth equal
 ; to gdep[5]+.4*(gdep[6]-gdep[5])
 ;
-; @categories 
+; @categories
 ; Without loop
 ;
@@ -32,8 +32,8 @@
 ;  ->champ nul a 1e-6 pres
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      15/06/2000
-; 
+;
 ; @version
 ; $Id$
@@ -57,6 +57,6 @@
    levellow = depth2level(depthin, /lower, /nomask)
    depthlow = level2depth(levellow, /nomask)
-; calculate the distance depthlow-depthup and management of the case 
-; of this distance is null or eqal to !values.f_nan
+; calculate the distance depthlow-depthup and management of the case
+; of this distance is null or equal to !values.f_nan
    divi = depthlow-depthup
    nan = where(finite(divi) EQ 0)
@@ -74,5 +74,5 @@
    endif
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps depth2floatlevel', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps depth2floatlevel', systime(1)-tempsun
 ;
    return, res
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2level.pro	(revision 226)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Allows to pass from a 2d depth array to a corresponding 2d level array.
 ;
@@ -11,5 +11,5 @@
 ;
 ; @param TAB {type=2d array}
-; 2d depth array (or a structure respecting litchamp critrions)
+; 2d depth array (or a structure respecting litchamp criterions)
 ;
 ; @keyword UPPER
@@ -17,13 +17,13 @@
 ;
 ; @keyword LOWER
-; We select the level just below the depth 
+; We select the level just below the depth
 ;
-; @keyword CLOSER 
-; We select the depth's closer level 
+; @keyword CLOSER
+; We select the depth's closer level
 ;
-; @keyword NOMASK 
+; @keyword NOMASK
 ; To do not mask land points
 ;
-; @returns 
+; @returns
 ; It is a 2d array containing level's values.
 ;
@@ -31,7 +31,7 @@
 ; common.pro
 ;
-; @restrictions 
+; @restrictions
 ; For depths out of gdep's values, the value !values.f_nan is sent back.
-; if the depth is superior to this one of the bottom, we send back jpk-1 in 
+; if the depth is superior to this one of the bottom, we send back jpk-1 in
 ; the upper case, and !values.f_nan in the lower case.
 ;
@@ -80,8 +80,8 @@
    if notanumber[0] NE -1 then in[notanumber] = 0
 ;------------------------------------------------------------
-; We transform the 2d deth value in a 2d array of levels corresponding to depthes
+; We transform the 2d depth value in a 2d array of levels corresponding to depths
 ;------------------------------------------------------------
 ; We go on array who have the size of 3d arrays
-   prof=replicate(1,nx*ny)#gdep[firstz:lastz] 
+   prof=replicate(1,nx*ny)#gdep[firstz:lastz]
    in = in[*]#replicate(1, nz)
 ;
@@ -116,5 +116,5 @@
 ;------------------------------------------------------------
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps depth2level', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps depth2level', systime(1)-tempsun
    return, levels
 end
Index: /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/depth2mask.pro	(revision 226)
@@ -4,6 +4,6 @@
 ;+
 ;
-; @file_comments 
-; Allows to pass from a 2d depth sill array to a 3d array of mask 
+; @file_comments
+; Allows to pass from a 2d depth sill array to a 3d array of mask
 ; with one of levels above the sill depth and 0s below.
 ;
@@ -12,9 +12,9 @@
 ;
 ; @param TAB {type=3d array}
-; 2d sill depth array (or a structure respecting litchamp critrions)
+; 2d sill depth array (or a structure respecting litchamp criterions)
 ;
 ; @keyword _EXTRA
 ; used to pass your keywords
-; 
+;
 ; @returns
 ; It is a 3d array containing the mas associated to the 2d sill depth array
@@ -42,5 +42,5 @@
 @common
 ;------------------------------------------------------------
-; We transform the 2d deth value in a 2d array of levels corresponding to depthes
+; We transform the 2d depth value in a 2d array of levels corresponding to depths
 ;------------------------------------------------------------
    niveaux = depth2level(tab, _extra = ex)
@@ -51,5 +51,5 @@
    mask = level2mask(niveaux)
 ;------------------------------------------------------------
-   if keyword_set(key_performance) NE 0 THEN print, 'temps depth2mask', systime(1)-tempsun 
+   if keyword_set(key_performance) NE 0 THEN print, 'temps depth2mask', systime(1)-tempsun
    return, mask
 end
Index: /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/floatlevel2depth.pro	(revision 226)
@@ -4,5 +4,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Rather comparable to level2depth. It is the invert function of depth2floatlevel
 ;
@@ -17,5 +17,5 @@
 ;
 ; @returns
-; 2d array containing depthes
+; 2d array containing depths
 ;
 ; @uses
@@ -52,5 +52,5 @@
 ; We sill (delete land points at valmask for example)
    flevelin = 0 > flevelin < (jpk-1)
-; We caculate the depth 
+; We calculate the depth
    depthup = level2depth(floor(flevelin), /nomask)
    depthlow= level2depth(ceil(flevelin), /nomask)
@@ -67,5 +67,5 @@
    endif
 ;------------------------------------------------------------
-   if keyword_set(key_performance) THEN print, 'temps floatlevel2depth', systime(1)-tempsun 
+   if keyword_set(key_performance) THEN print, 'temps floatlevel2depth', systime(1)-tempsun
 ;
    return, res
Index: /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 226)
@@ -19,5 +19,5 @@
 ; array representing the temperature. Has the same size than SN.
 ;
-; @keyword GILL 
+; @keyword GILL
 ; We activate this key if we want to calculate the dynamic height
 ; like in the GILL page 215, which means by rapport to a reference state which
@@ -32,5 +32,5 @@
 ; Give a value to this keyword to change the reference salinity used in the
 ; calculation when GILL is activated.
-; 
+;
 ; @keyword TREF
 ; Give a value to this keyword to change the reference temperature used in the
@@ -58,5 +58,5 @@
 ;
 ; @restrictions
-; approximation: The pressure in decibars is equal to the depth in meters 
+; approximation: The pressure in decibars is equal to the depth in meters
 ; (the pressure increase of 1 bar every 10 m)
 ;
@@ -99,5 +99,5 @@
    if total(tailles[0:tailles[0]] NE taillet[0:taillet[0]]) NE 0 then $
     return,  report('arrays sn and tn must have the same size')
-   if tailles[3] NE jpk then return, report('vertical dimension of sn and tn arrarrays must be equal to jpk')
+   if tailles[3] NE jpk then return, report('vertical dimension of sn and tn arrays must be equal to jpk')
    nx = nxt
    ny = nyt
Index: /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 225)
+++ /trunk/SRC/ToBeReviewed/CALCULS/level2depth.pro	(revision 226)
@@ -47,5 +47,5 @@
    grille,mask, -1, -1,gdep,nx,ny,nz,firstx,firsty,firstz,lastx,lasty,lastz
 ;---------------------------------------------------------------
-; verification of the coherence between array's size and the domain definied by domdef
+; verification of the coherence between array's size and the domain defined by domdef
 ;---------------------------------------------------------------
    taille = size(niveaux)
